## org.eclipse.datatools.connectivity.oda.design.ui.manifest
Class DataSetPageInfo

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.ui.manifest.DataSetPageInfo

    public class DataSetPageInfo

extends java.lang.Object

Represents the definition of a customized page that an extension contributes to an ODA host designer's data set dialog.

Method Summary
`java.lang.String` `getDisplayName()` Returns the page title or descriptive name of a customized page that will be displayed in the UI of this page.
`java.lang.String` `getIcon()` Returns the relative path to an icon that may be used in the UI in addition to the page's display name.
`java.lang.String` `getPageId()` Returns the unique name of this page within a data set dialog.
`java.lang.String` `getPath()` Returns the path of the page in a data set preference dialog.
`java.lang.String` `getWizardPageClassName()` Returns the fully qualified class name that implements a custom data set wizard page that allows an user to create or edit an ODA data set design instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPageId

    public java.lang.String getPageId()

  Returns the unique name of this page within a data set dialog.

  Returns:
    the attribute value in dataSetUI.dataSetPage.id

### getWizardPageClassName

    public java.lang.String getWizardPageClassName()

  Returns the fully qualified class name that implements a custom data set wizard page that allows an user to create or edit an ODA data set design instance.
  The wizard page class must extend from the ODA UI framework's data set wizard page base class. See plugin schema for details.

  Returns:
    the attribute value in dataSetUI.dataSetPage.wizardPageClass

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the page title or descriptive name of a customized page that will be displayed in the UI of this page.

  Returns:
    the attribute value in dataSetUI.dataSetPage.displayName; may be null if none is specified

### getPath

    public java.lang.String getPath()

  Returns the path of the page in a data set preference dialog.

  Returns:
    the attribute value in dataSetUI.dataSetPage.path; may be null if none is specified

### getIcon

    public java.lang.String getIcon()

  Returns the relative path to an icon that may be used in the UI in addition to the page's display name.

  Returns:
    the attribute value in dataSetUI.dataSetPage.icon; may be null if none is specified